/* pulsdsp_sim.c
 */

/**
 * 
 * PC-Testprogram der pulsdsp Routinen
 *
 * Die Samples werden als ASCII von stdin gelesen.
 * An stdout werden spaltenweise die Einzelnen Zwischensignale ausgegeben
 */

#include <stdio.h>
#include <stdlib.h>
#include "debugpc.h"

unsigned ADCH=0;
unsigned ADCL=0;

static long int cntr;

void dout(int channel, long int val)
{
	static long int vals[10];
	int i;
	
	if (channel==0)
	{
		printf("%lu\t",(long int) cntr);
		for (i=0;i<10;i++)
			printf("%li\t",(long int) vals[i]);
		printf("\n");
	}
	vals[channel]=val;
	cntr++;
}


/**
 * reads one sample from stdin
 */
void dsp_idle()
{
	unsigned in;
	if(scanf("%u",&in)<1)
	{
		dputs("no input\n");
		exit(0);
	}
	dout(0,in);
	ADCL = in & 0xFF;
	ADCH = in >> 8;
	dspint();
}



int main (const int argc, const char **argv)
{
	char dummy[111];
	setvbuf(stdout,NULL,_IONBF,0);
		
	cntr=0;
	pulsdsp_init();
	dsp_loop();

}



